﻿/* стили для кнопок, как на промотере */
/* верстка */
.visitor-form .btn{ display:inline-block; font-family: 'Open Sans', sans-serif; text-transform: uppercase; font-size:120%; text-decoration:none; padding:1.3em 4em; transition: all .2s; border-style:solid; border-width:1px; margin-right:0; } 
/* цвета */

.visitor-form .btn{ background-color:#de5629; color:#fff; border-color:#de5629; }
.visitor-form .btn:hover, .visitor-form .btn:focus{ background-color:#d81313; color:#fff;  }

.visitor-form .btn-1{ background-color:transparent; color:#434444; border-color:#434444; }
.visitor-form .btn-1:hover, .visitor-form .btn-1:focus{ background-color:transparent; color:#de5629; border-color:#de5629; }

.visitor-form .btn-2{ background-color:transparent; color:#fff; border-color:#fff; }
.visitor-form .btn-2:hover, .visitor-form .btn-2:focus{ background-color:transparent; color:#fff; border-color:#fff; opacity:.85; }

.visitor-form .btn-3{ background-color:#5a5a5a; color:#fff; border-color:#5a5a5a; }
.visitor-form .btn-3:hover, .visitor-form .btn-3:focus{ background-color:#d81313; color:#fff; border-color:#d81313; }

.visitor-form .btn-4{ background-color:#fff; color:#de5629; border-color:#fff; }
.visitor-form .btn-4:hover, .visitor-form .btn-4:focus{ background-color:#fff; color:#d81313; border-color:#fff; }

.visitor-form .btn-5{ background-color:#313131; color:#fff; border-color:#313131; }
.visitor-form .btn-5:hover, .visitor-form .btn-5:focus{ background-color:#d81313; color:#fff; border-color:#d81313; }

.visitor-form .btn-6{ background-color:transparent; color:#de5629; border-color:#de5629; }
.visitor-form .btn-6:hover, .visitor-form .btn-6:focus{ background-color:transparent; color:#d81313; border-color:#d81313; }

.visitor-form .btn-7{ background-color:transparent; color:#de5629; border-color:transparent; }
.visitor-form .btn-7:hover, .visitor-form .btn-7:focus{ background-color:transparent; color:#000; border-color:transparent; }

.visitor-form .btn-8{ background-color:transparent; color:#fff; border-color:transparent; }
.visitor-form .btn-8:hover, .visitor-form .btn-8:focus{ background-color:transparent; color:#fff; border-color:transparent; opacity:.85; }

.visitor-form .btn-9{ background-color:#022222; color:#fff; border-color:#022222; }
.visitor-form .btn-9:hover, .visitor-form .btn-9:focus{ background-color:#d81313; color:#fff; border-color:#d81313; }

.visitor-form .free-motivational-text{ display:none; font-size:200%; font-weight:300; line-height:1.3; }
.b-event-isfree .visitor-form .free-motivational-text{ display:block; }


/* стили виджета */
#tWdgt { margin-bottom:25px; }
#tWdgt .epts-table-header th{ text-align:center; }
#tWdgt .epts-table-header .epts-th-type{ font-size:0; }
#tWdgt .epts-td-typeTitle{ width:47%; }
#tWdgt .epts-widget-actions{ display:none; }
#tWdgt td, #tWdgt th{ padding:3px 20px 46px; }
#tWdgt th{ padding:30px 20px 0; line-height:1; }
#tWdgt  .epts-tableContainer{ background-color:#f2f2f2; }
#tWdgt th, #tWdgt td{font-family: 'Open Sans', sans-serif; font-weight:300 !important;}
#tWdgt td .epts-tDescription{ font-size:60% !important; }
#tWdgt .epts-td-typeTitle{ font-size:2.4rem; }
#tWdgt .epts-td-typeTitle{ padding-left:63px;  }
#tWdgt .epts-tableContainer th,
#tWdgt .epts-tableError td{ text-align:center; font-size:2rem; }
#tWdgt .epts-tableContainer th,
#tWdgt .epts-tableContainer td{ border-color:#fff; }
#tWdgt td.epts-price, #tWdgt td.epts-sum, #tWdgt .epts-ticketsquantity{ font-size:4.8rem; text-align:center; }
#tWdgt .epts-lesstickets, #tWdgt .epts-moretickets{ font-size:3.8rem; }
#tWdgt .epts-lesstickets, #tWdgt .epts-moretickets, #tWdgt .epts-ticketsquantity{ display:inline-block; margin:0 .15em; vertical-align:middle; }
#tWdgt td.epts-td-quantity{ text-align:center; } 
#tWdgt td.epts-td-quantity select{ font-size:4.8rem; font-weight:300; width:auto; background-color:transparent; }
#tWdgt .epts-totalRow td{ font-size:4rem; font-weight:400; }
#tWdgt .epts-totalRow .epts-totalTotal{ text-align:center; }
#tWdgt .epts-header,
#tWdgt .epts-totalRow .epts-totalDouble{ display:none; }
#tWdgt .epts-totalRow td{ border-top-width:1px !important; }
#tWdgt .epts-tTypePreRegText{ font-size:50%; background-color:rgba(0,0,0,.1); padding:.15em .5em .25em; vertical-align:middle; border-radius:3px; margin-left:.75em; }
#tWdgt .epts-typeRow-disabled td{ background-color:rgba(255,0,0,.1); color:rgba(255,0,0,.25); font-size:130% !important; padding-top:1em !important; padding-bottom:1em !important;}
#tWdgt .epts-typeRow-disabled .epts-tTypePreRegText{ font-size:100% !important; }
.please-choose-tickets { font-size: 1.5rem; display: inline-block; vertical-align: middle; color: #d00; margin: 0 2em 0 0;}
.epts-external-twidget-button-disabled{ cursor:default; pointer-events:none; opacity:.5; }
.epts-external-twidget-button-disabled{ position:relative; }
.epts-external-twidget-button-disabled:after{ position:absolute; content:''; width:36px; height:36px; background-color:#fff; right:6px; top:50%; border-radius:100%; margin:-18px 0 0; background-repeat:no-repeat; background-position:center; background-image:url(../img/activityindicator_1.gif); }

.prereg-inline,
.prereg-only .non-prereg-inline{ display:none; }
.prereg-only .prereg-inline{ display:inline; }

.visitor-form .wrap{ position:absolute; top:46%; left:0; width:100%; box-sizing:border-box; transform:translate(0, -50%); }
.visitor-form-overhigh .wrap{ position:static; transform:none; }
.visitor-form-overhigh{ overflow:auto !important; }

.visitor-form .free-motivational-text,
.visitor-form  #tWdgt,
.visitor-form .actions{ max-width:1200px; margin:0 auto 1.5rem; }

/* Don't show .action if no tickets are available */
.sales-ended .visitor-form .actions{ display:none; }

/* стили промокода */
.epts-buyTicketsWidget {
    position: relative;
}
#tWdgt .epts-promocodewrap {
    position: absolute;
    top: 100%;
    margin-top: 10px;
    z-index: 1;
}
#tWdgt .epts-pcInput {
    border: none;
}
#tWdgt .epts-pcInput input[name='promocode'] {
    border: none;
    padding: 5px;
}
.epts-showPClink {
    font-size: 120%;
}
.epts-showPClink:hover {
    color: #de5629;
    text-decoration: none;
}
#tWdgt .epts-pcInput input[type='button'] {
    border: none;
    padding: 5px 10px;
    background: #de5629;
    color: #ffffff;
    cursor: pointer;
    transition: all 500ms;
}
#tWdgt .epts-pcInput input[type='button']:hover {
    background: #dd0000;
}
#tWdgt .epts-pcInput {
    border: 1px solid #f0f0f0;
    border-radius: 3px;
    overflow: hidden;
}
.actions {
    position: relative;
}
.please-choose-tickets {
    position: absolute;
    top: 100%;
    /*font-size:1.15rem;*/
    line-height: 1.5;
}


/* extra button */
.single-btn-wrap{ display:inline-block; vertical-align:top; }
.btn-usehref{ margin-bottom:3em; }
.mobile-buttons .btn-usehref{ margin-bottom:0; }
.btn-extra{ font-weight:bold; position:absolute; top:100%;left:50%; transform: translate(-50%, 0); font-size:130%; cursor: pointer; margin-top:-4em; text-transform: uppercase; opacity:.6; }
.btn-extra:hover,
.btn-extra:focus{ opacity:1; text-decoration:underline; }
.btn-extra:before{ position:absolute; right:100%; bottom:0; content:"»"; color:#f00; margin:0 .25em 0 -.25em; }
.s-main .btn-extra{ color:#e8e8e8; }
/**/

@media(max-width:480px){
    #tWdgt .epts-pcInput input[name='promocode'] {max-width:110px;}
    .please-choose-tickets {margin-right:0}
}


/* addOfflinePrice */
.tt-props{ display:none; }
.offline-price{ display:inline-block; vertical-align:middle; line-height:1; }
.offline-price .headline{ font-size:180%; display:block; }
.offline-price-intd .amount,
.offline-price .amount{ font-weight:bold; position:relative; margin:0 .4em; font-size:125%; }
.offline-price-intd .amount::after,
.offline-price .amount::after{ content:''; position:absolute; width:120%; height:2px; background-color:#d00; top:45%; left:-10%; transform-origin:center center; transform:rotate(-25deg) }
.offline-price .message{ font-size:120%; max-width:300px; display:inline-block; color:#777; }
.offline-price-message{ font-size:180%; line-height:1.4; width:53%; box-sizing:border-box; padding-left:20px; display:block; color:#777; margin:20px 0 30px auto; }
#tWdgt .epts-th-price{ padding-top:40px; }
.epts-typeRow .epts-price{ position:relative; }
.offline-price-intd{font-size: 15px;position: absolute;bottom: 0;width: 100%;margin-left: -20px;margin-right: -20px;box-sizing: border-box;padding:.45em .25em; background-image: linear-gradient(to bottom, rgba(255,255,128,0), rgba(255,255,128,.5));}
	
.limited-bar{background-image:linear-gradient(to bottom, rgba(0,0,0,.1), rgba(0,0,0,0)); color:#000; position:absolute; text-transform: uppercase; top:0; left:0; width:100%; font-weight:normal; line-height:1; font-size:60%; padding:.45em .25em; }
	
@media(max-width:800px){
	.offline-price{ font-size:10px; margin-top:10px; margin-bottom:10px; }
}	
@media(max-width:640px){
	#tWdgt .epts-th-price{ padding-top:40px !important; }
	#tWdgt .epts-price{ padding-bottom:45px !important;  }
	.offline-price-intd{ font-size:70%; margin-left:-12px; margin-right:-12px; white-space:normal !important; font-weight:normal !important; }
	.offline-price-message{ padding-left:12px; }
}
@media(max-width:480px){
	.offline-price-message{ display:none; }
}
